Index: src/interfaces/ecpg/include/sqlca.h
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/interfaces/ecpg/include/sqlca.h,v
retrieving revision 1.16
diff -u -p -r1.16 sqlca.h
--- src/interfaces/ecpg/include/sqlca.h	2001/03/22 06:16:20	1.16
+++ src/interfaces/ecpg/include/sqlca.h	2001/04/23 17:15:38
@@ -1,6 +1,14 @@
 #ifndef POSTGRES_SQLCA_H
 #define POSTGRES_SQLCA_H
 
+#ifndef DLLIMPORT
+#ifdef __CYGWIN__
+#define DLLIMPORT __declspec (dllimport)
+#else
+#define DLLIMPORT
+#endif /* __CYGWIN__ */
+#endif /* DLLIMPORT */
+
 #define SQLERRMC_LEN	70
 
 #ifdef __cplusplus
@@ -45,7 +53,7 @@ extern		"C"
 		char		sqlext[8];
 	};
 
-	extern struct sqlca sqlca;
+	extern DLLIMPORT struct sqlca sqlca;
 
 
 #ifdef __cplusplus
Index: src/interfaces/ecpg/test/Makefile
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/interfaces/ecpg/test/Makefile,v
retrieving revision 1.29
diff -u -p -r1.29 Makefile
--- src/interfaces/ecpg/test/Makefile	2001/01/31 16:12:34	1.29
+++ src/interfaces/ecpg/test/Makefile	2001/04/23 17:15:41
@@ -1,7 +1,8 @@
 all: test1 test2 test3 test4 perftest dyntest dyntest2 test_notice test_code100 test_init
 
 #LDFLAGS=-g -I /usr/local/pgsql/include -L/usr/local/pgsql/lib -lecpg -lpq
-LDFLAGS=-g -I ../include -I /usr/include/postgresql -L /usr/lib -lecpg -lpq
+LDFLAGS=-g -I ../include
+LDLIBS=-L ../lib -lecpg -L ../../libpq -lpq
 
 #ECPG=/usr/local/pgsql/bin/ecpg -I../include
 ECPG=../preproc/ecpg -I../include
@@ -24,4 +25,4 @@ test_text: test_text.c
 	$(ECPG) $? 
 
 clean:
-	rm -f test1 test2 test3 test4 perftest *.c log dyntest dyntest2 test_notice test_code100 test_init test_text
+	rm -f test1 test2 test3 test4 perftest *.c log dyntest dyntest2 test_notice test_code100 test_init test_text *.exe
Index: src/makefiles/Makefile.win
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/makefiles/Makefile.win,v
retrieving revision 1.10
diff -u -p -r1.10 Makefile.win
--- src/makefiles/Makefile.win	2001/04/04 21:15:56	1.10
+++ src/makefiles/Makefile.win	2001/04/23 17:15:47
@@ -23,3 +23,7 @@ CFLAGS_SL =
 ifeq ($(findstring backend,$(subdir)), backend)
 override CPPFLAGS+= -DBUILDING_DLL=1
 endif
+
+ifeq ($(findstring ecpg/lib,$(subdir)), ecpg/lib)
+override CPPFLAGS+= -DBUILDING_DLL=1
+endif
